# Class ScaledStyleSheet

java.lang.Object
javax.swing.text.StyleContext
javax.swing.text.html.StyleSheet
com.lightdev.app.shtm.ScaledStyleSheet

All Implemented Interfaces:
  `Serializable, AbstractDocument.AttributeContext`

public class ScaledStyleSheet extends StyleSheet

See Also:
  - Serialized Form

## Nested Class Summary

### Nested classes/interfaces inherited from class StyleSheet

`StyleSheet.BoxPainter, StyleSheet.ListPainter`

### Nested classes/interfaces inherited from class StyleContext

`StyleContext.NamedStyle, StyleContext.SmallAttributeSet`

## Field Summary

Fields
Modifier and Type
Field
Description
`static float`
`FONT_SCALE_FACTOR`

### Fields inherited from class StyleContext

`DEFAULT_STYLE`

## Constructor Summary

Constructors
Constructor
Description
`ScaledStyleSheet()`

## Method Summary

Modifier and Type
Method
Description
`Font`
`getFont(AttributeSet a)`

### Methods inherited from class StyleSheet

`addAttribute, addAttributes, addCSSAttribute, addCSSAttributeFromHTML, addRule, addStyleSheet, createLargeAttributeSet, createSmallAttributeSet, getBackground, getBase, getBoxPainter, getDeclaration, getForeground, getIndexOfSize, getListPainter, getPointSize, getPointSize, getRule, getRule, getStyleSheets, getViewAttributes, importStyleSheet, loadRules, removeAttribute, removeAttributes, removeAttributes, removeStyle, removeStyleSheet, setBase, setBaseFontSize, setBaseFontSize, stringToColor, translateHTMLToCSS`

### Methods inherited from class StyleContext

`addChangeListener, addStyle, getChangeListeners, getCompressionThreshold, getDefaultStyleContext, getEmptySet, getFont, getFontMetrics, getStaticAttribute, getStaticAttributeKey, getStyle, getStyleNames, readAttributes, readAttributeSet, reclaim, registerStaticAttributeKey, removeChangeListener, toString, writeAttributes, writeAttributeSet`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### FONT_SCALE_FACTOR

public static float FONT_SCALE_FACTOR

## Constructor Details

### ScaledStyleSheet

public ScaledStyleSheet()

## Method Details

### getFont

public Font getFont(AttributeSet a)

Overrides:
  `getFont` in class `StyleSheet`